ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
review_view_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| public_review_list ($Options)
| view ($Options)

## Data Fields
| $Security = false
| $UserAlgorithms = false
| $Output

## Detailed Description

View class.

Author
  Dodonov A.A.

Definition at line 26 of file review_view.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 67 of file review_view.php.

{
try
{
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->UserAlgorithms = get_package( 'user::user_algorithms' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 98 of file review_view.php.

{
try
{
$PageJS = get_package( 'page::page_js' , 'last' , __FILE__ );
$PackagePath = _get_package_relative_path_ex( 'review::review_view' , '1.0.0::1.0.0' );
$PageJS->add_javascript( "{http_host}/$PackagePath/include/js/review_view.js" );
$Lang = get_package( 'lang' , 'last' , __FILE__ );
$Lang->include_strings_js( 'review::review_view' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

public_review_list | ( |  | $Options | ) |

Function draws a list of reviews.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 133 of file review_view.php.

{
try
{
$MasterId = $this->Security->get_gp( 'master_id' , 'integer' , $this->UserAlgorithms->get_id() );
$MasterType = $Options->get_setting( 'master_type' , 'command' , 'user' );
$this->Output = '';
$this->Output .= "{review_line:master_id=$MasterId;master_type=$MasterType}";
$this->Output .= "{permit:registered}{review_form:master_id=$MasterId;".
"master_type=$MasterType}{~permit}";
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

view | ( |  | $Options | ) |

Function draws component.

Parameters

  $Options | - Settings.

Returns
  HTML code of the компонента.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 173 of file review_view.php.

{
try
{
$ContextSet = get_package( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_public_review_list' );
$ContextSet->execute( $Options , $this , __FILE__ );
return( $this->Output );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Output

Variable stores generated HTML.

Author
  Dodonov A.A.

Definition at line 51 of file review_view.php.

$Security = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file review_view.php.

$UserAlgorithms = false

Definition at line 39 of file review_view.php.

The documentation for this class was generated from the following file:

- packages/review/packages/review_view/review_view.php